import ptolemy.gui.ComponentDialog;
import ptolemy.gui.Query;
import javax.swing.JFrame;
import javax.swing.BorderFactory;
import java.awt.Color;
/**
A test that illustrates the problem where hitting return
does not select the default button.

Compile and run with:
javac -classpath $PTII PtQueryTest.java
java -classpath $PTII:. PtQueryTest

Note that if the query contains a line entry, the the problem
occurs.  If there is no line entry, then there is no problem.
 */
public class PtQueryTest {
    public static void main(String [] args) {
        Query query = new Query();
        String[] options = {"water", "soda", "juice", "none"};
        // If the first line has focus, then I have to hit a tab and then enter.
        // Comment out the line below, recompile and then enter will have the focus
        query.addLine("line", "What's my line?", "Groucho");

        query.addRadioButtons("radio", "Radio buttons", options, "water");
        query.setBorder(BorderFactory.createLineBorder(Color.pink));
        ComponentDialog dialog = new ComponentDialog(null, "Test", query);
        System.out.println("Pressed: " + dialog.buttonPressed());
    }
}